Page MenuHomePhabricator

[libcxx] Unify LIBCXX_<ABI-Name>_INCLUDE_PATHS to be LIBCXX_CXX_ABI_INCLUDE_PATHS
ClosedPublic

Authored by EricWF on Aug 22 2014, 11:03 PM.

Details

Summary

Clean up all the different possible CMake options for specifying the ABI include paths into one CMake option named LIBCXX_CXX_ABI_INCLUDE_PATHS.
The documentation has been updated to reflect this change.

For the next week I have added explicit errors if any of the old flags is used. These errors inform users of the change and the new option to use.

Before committing the change I will announce this change on cfe-dev.

Diff Detail

Event Timeline

EricWF updated this revision to Diff 12878.Aug 22 2014, 11:03 PM
EricWF retitled this revision from to [libcxx] Unify LIBCXX_<ABI-Name>_INCLUDE_PATHS to be LIBCXX_ABI_INCLUDE_PATHS.
EricWF updated this object.
EricWF edited the test plan for this revision. (Show Details)
EricWF added reviewers: mclow.lists, danalbert.
EricWF added a subscriber: Unknown Object (MLST).
danalbert accepted this revision.Aug 30 2014, 10:04 AM
danalbert edited edge metadata.

LGTM.

This revision is now accepted and ready to land.Aug 30 2014, 10:04 AM
EricWF updated this revision to Diff 22183.Mar 18 2015, 7:59 AM
EricWF retitled this revision from [libcxx] Unify LIBCXX_<ABI-Name>_INCLUDE_PATHS to be LIBCXX_ABI_INCLUDE_PATHS to [libcxx] Unify LIBCXX_<ABI-Name>_INCLUDE_PATHS to be LIBCXX_CXX_ABI_INCLUDE_PATHS.
EricWF updated this object.
EricWF edited edge metadata.
EricWF added a subscriber: cbergstrom.

Re-implemented this patch. Could I please get a re-review?

mclow.lists edited edge metadata.Mar 18 2015, 3:38 PM

Problems on my Mac OS X system:

CXX=$LLVM_BIN/clang++ cmake -DLIBCXX_CXX_ABI=libcxxabi -DLIBCXX_CXX_ABI_INCLUDE_PATHS=/usr/include -DLIT_EXECUTABLE=$LLVM/llvm/utils/lit/lit.py $LIBCXX2
  • Configuring incomplete, errors occurred!

See also "/Sources/LLVM/build/libcxx2-cmake-build/CMakeFiles/CMakeOutput.log".
CMake Error at CMakeLists.txt:103 (message):

The option "LIBCXX_LIBCXXABI_INCLUDE_PATHS" has been removed.  Use  "LIBCXX_CXX_ABI_INCLUDE_PATHS" instead.

But I am using LIBCXX_CXX_ABI_INCLUDE_PATHS !

@mclow.lists did you delete your CMakeCache.txt?

EricWF updated this revision to Diff 22221.Mar 18 2015, 3:53 PM
EricWF edited edge metadata.

Update error messages to include a note to clean the build directory.

mclow.lists accepted this revision.Mar 18 2015, 4:05 PM
mclow.lists edited edge metadata.

I just needed to clean out my build dir. Thanks to @ErikWF for the tip.

EricWF closed this revision.Mar 19 2015, 2:02 PM